import { IButtonComponent } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
export declare class BpSdkButton implements IButtonComponent {
    /**
     * Text to be displayed
     */
    text: string;
    /**
     * Id for button
     */
    buttonId: string;
    /**
     * Controls disabled state of button
     */
    buttonDisabled: boolean;
    /**
     * Event that is emitted when button is clicked and is not disabled
     */
    clickevent: EventEmitter<void>;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    handleClick(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
