import { IBusinessClassificationSelectorListContainerComponent, IChoice, IGroupedChoicesConfig } from '@boldpenguin/sdk-types';
import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkBusinessClassificationSelectorListContainer implements IBusinessClassificationSelectorListContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    el: HTMLBpSdkBusinessClassificationSelectorListContainerElement;
    /***
     * Selected choice id
     */
    choiceId: string;
    /***
     * Choices to display
     */
    choices: IChoice[];
    /**
     * Should show confidence
     */
    showConfidence: boolean;
    /**
     * Should show confidence
     */
    showNaicsCode: boolean;
    /**
     * Grouped choices config
     */
    groupedChoicesConfig: IGroupedChoicesConfig;
    useExternal: boolean;
    bcsChoiceLimit: number;
    computedGroupedChoicesConfig: IGroupedChoicesConfig;
    groupedChoicesConfigChanged(value: IGroupedChoicesConfig): void;
    resetState(): void;
    componentWillLoad(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    mapStateToProps: (state: BpSdkStore) => {
        bcsChoiceLimit: number;
    };
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
