'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-ceff47a0.js');
const index_esm = require('./index.esm-beac1e98.js');
require('./index.esm-ab93ebfa.js');
require('./index.esm-7e3242f9.js');

const BpSdkRoot = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.completedAt = undefined;
        this.disableWebSocket = false;
        this.enableLifecycleEvents = false;
        this.disableToolbar = false;
        this.storeLoaded = false;
    }
    onDisabledWebSocket(disableWebSocket) {
        index_esm.zR().dispatch(index_esm.Ww({ enableWebsocket: !disableWebSocket }));
    }
    resetState() { }
    connectedCallback() {
        this.resetState();
    }
    componentWillLoad() {
        this.onDisabledWebSocket(this.disableWebSocket);
    }
    render() {
        return (index.h("bp-sdk-setup-container", { key: '2d9c3658704929a698eb1b872d667d47d13b4807' }, index.h("bp-sdk-queue-container", { key: '5999b65629569f5b4eb5946874598b2776e797a4' }), [
            !!this.enableLifecycleEvents && index.h("bp-sdk-custom-event-container", { key: 'd4c6868326b35ce6643c01a5d40634875c1c2453' }),
            !this.disableToolbar && index.h("bp-sdk-interview-toolbar", { key: '86db346d7113efc2879a5dec52b990fddda88890' }),
        ], index.h("slot", { key: 'd96dcc963622be806f4a925de77ef89a9e9a96fb' })));
    }
    static get watchers() { return {
        "disableWebSocket": ["onDisabledWebSocket"]
    }; }
};

exports.bp_sdk_root = BpSdkRoot;
